package com.sifang.modules.platform.fittingManager.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_platform_fitting")
public class PlatformFitting implements Serializable{

        private String id;
        private String code;
        private String name;
        private String img;
        private String version;
        private String supplier;
        private String remarks;
        private String unit;
        private String unitType;
        private String refundOldFlag;
        private String status;
        private Date createTime;
        private String createBy;
        private String keyword;
        private BigDecimal warning;
        private BigDecimal alertNum;
        private BigDecimal price;
        private BigDecimal sitePrice;
        private BigDecimal customerPrice;
        private Date newestKeepTime;
        private Date newestStorageTime;
        private String suitPrinter;
        private String storehouse;

    public PlatformFitting() {
        super();
        this.status="1";
        this.createTime = new Date();
        this.unitType="d";
        this.price = new BigDecimal("0.00");
        this.sitePrice = new BigDecimal("0.00");
        this.customerPrice = new BigDecimal("0.00");

    }

    public BigDecimal getCustomerPrice() {
        return customerPrice;
    }

    public void setCustomerPrice(BigDecimal customerPrice) {
        this.customerPrice = customerPrice;
    }

    public String getStorehouse() {
        return storehouse;
    }

    public void setStorehouse(String storehouse) {
        this.storehouse = storehouse;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType;
    }

    public String getRefundOldFlag() {
        return refundOldFlag;
    }

    public void setRefundOldFlag(String refundOldFlag) {
        this.refundOldFlag = refundOldFlag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getWarning() {
        return warning;
    }

    public void setWarning(BigDecimal warning) {
        this.warning = warning;
    }

    public BigDecimal getAlertNum() {
        return alertNum;
    }

    public void setAlertNum(BigDecimal alertNum) {
        this.alertNum = alertNum;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getSitePrice() {
        return sitePrice;
    }

    public void setSitePrice(BigDecimal sitePrice) {
        this.sitePrice = sitePrice;
    }


    public Date getNewestKeepTime() {
        return newestKeepTime;
    }

    public void setNewestKeepTime(Date newestKeepTime) {
        this.newestKeepTime = newestKeepTime;
    }

    public Date getNewestStorageTime() {
        return newestStorageTime;
    }

    public void setNewestStorageTime(Date newestStorageTime) {
        this.newestStorageTime = newestStorageTime;
    }

    public String getSuitPrinter() {
        return suitPrinter;
    }

    public void setSuitPrinter(String suitPrinter) {
        this.suitPrinter = suitPrinter;
    }
}
